linux-lts-backport-maverick: 2.6.35-30.59~lucid1 -proposed tracker

Bug #838043 reported by Herton R. Krzesinski on 2011-08-31
32
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Unassigned
Prepare-package
Undecided
Herton R. Krzesinski
Prepare-package-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
Kees Cook
Verification-testing
Undecided
Canonical Kernel Team
linux-lts-backport-maverick (Ubuntu)
Medium
Unassigned
Lucid
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.35-30.59~lucid1 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-prepare-start:Wednesday, 31. August 2011 12:19 UTC
kernel-stable-certification-end:Wednesday, 31. August 2011 12:32 UTC
kernel-stable-Certification-testing-end:Wednesday, 31. August 2011 14:17 UTC
kernel-stable-Prepare-package-start:Wednesday, 31. August 2011 12:19 UTC
kernel-stable-Prepare-package-end:Friday, 02. September 2011 01:16 UTC
kernel-stable-Promote-to-proposed-start:Friday, 02. September 2011 01:16 UTC
kernel-stable-Promote-to-proposed-end:Friday, 02. September 2011 07:32 UTC
kernel-stable-Verification-testing-start:Friday, 02. September 2011 07:32 UTC
kernel-stable-Security-signoff-start:Monday, 05. September 2011 17:17 UTC
kernel-stable-Verification-testing-end:Monday, 05. September 2011 17:17 UTC
kernel-stable-Regression-testing-start:Monday, 05. September 2011 17:17 UTC
kernel-stable-Security-signoff-end:Tuesday, 06. September 2011 05:46 UTC
kernel-stable-Promote-to-updates-start:Thursday, 08. September 2011 16:16 UTC
kernel-stable-Regression-testing-end:Thursday, 08. September 2011 16:16 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 13. September 2011 13:31 UTC
kernel-stable-Promote-to-updates-end:Tuesday, 13. September 2011 13:31 UTC

tags: added: kernel-release-tracking-bug
Changed in linux-lts-backport-maverick (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
description: updated
description: updated
Steve Conklin (sconklin) on 2011-09-01
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Martin Pitt (pitti) wrote :

Copied to proposed

Changed in linux-lts-backport-maverick (Ubuntu):
status: In Progress → Invalid
description: updated
Herton R. Krzesinski (herton) wrote :

Verification was done for Maverick. Two unverified bugs (509180, 583760) had its patches reverted in this upload. Everything else is ok or verified.

description: updated
Kees Cook (kees) wrote :

Looks good, thanks!

description: updated
C de-Avillez (hggdh2) wrote :

No regressions observed on the tests. Tagging qa-testing-passed.

tags: added: qa-testing-passed
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-lts-backport-maverick - 2.6.35-30.59~lucid1

---------------
linux-lts-backport-maverick (2.6.35-30.59~lucid1) lucid-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #838043

  [ Upstream Kernel Changes ]

  * Revert "drm/nv50-nvc0: work around an evo channel hang that some people
    see"
  * Revert "eCryptfs: Handle failed metadata read in lookup"

linux (2.6.35-30.58) maverick-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #828376

  [ Upstream Kernel Changes ]

  * proc: fix oops on invalid /proc/<pid>/maps access, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020

linux (2.6.35-30.57) maverick-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #823306

  [ Tim Gardner ]

  * SAUCE: rtl8192se: Force a build for a 2.6/3.0 kernel
    - LP: #805494
  * [Config] Add enic/fnic to udebs
    - LP: #801610

  [ Upstream Kernel Changes ]

  * taskstats: don't allow duplicate entries in listener mode,
    CVE-2011-2484
    - LP: #806390
    - CVE-2011-2484
  * dccp: handle invalid feature options length, CVE-2011-1770
    - LP: #806375
    - CVE-2011-1770
  * eCryptfs: Handle failed metadata read in lookup
    - LP: #509180
  * pagemap: close races with suid execve, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * report errors in /proc/*/*map* sanely, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * close race in /proc/*/environ, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * auxv: require the target to be tracable (or yourself), CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * deal with races in /proc/*/{syscall, stack, personality}, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * rose: Add length checks to CALL_REQUEST parsing, CVE-2011-1493
    - LP: #816550
    - CVE-2011-1493
  * Bluetooth: l2cap and rfcomm: fix 1 byte infoleak to userspace.
    - LP: #819569
    - CVE-2011-2492
  * drm/nv50-nvc0: work around an evo channel hang that some people see
    - LP: #583760

linux (2.6.35-30.56) maverick-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #808934

  [ Herton Ronaldo Krzesinski ]

  * Revert "SAUCE: mmc: Enable MMC card reader for RICOH [1180:e823]"

  [ Upstream Kernel Changes ]

  * Revert "x86: Flush TLB if PGD entry is changed in i386 PAE mode"
    - LP: #805209
 -- Herton Ronaldo Krzesinski <email address hidden> Thu, 01 Sep 2011 13:40:57 -0300

Changed in linux-lts-backport-maverick (Ubuntu Lucid):
status: New → Fix Released
Martin Pitt (pitti) wrote :

Copied to -s/-u

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers